summaryrefslogtreecommitdiff
blob: 3b6250137fec7d34a3d601734b3af10974d61300 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
736
737
738
739
740
741
742
743
744
745
746
747
748
749
750
751
752
753
754
755
756
757
758
759
760
761
762
763
764
765
766
767
768
769
770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
798
799
800
801
802
803
804
805
806
807
808
809
810
811
812
813
814
815
816
817
818
819
820
821
822
823
824
825
826
827
828
829
830
831
832
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

####################################################################
#
# When you add an entry to the top of this file, add your name, the date
# in the UTC timezone, and an explanation of why something is getting masked.
# Please be extremely careful not to commit atoms that are not valid, as it can
# cause large-scale breakage, especially if it ends up in the daily snapshot.
#
## Example:
##
## # Dev E. Loper <developer@gentoo.org> (2019-07-01)
## # Masking  these versions until we can get the
## # v4l stuff to work properly again
## =media-video/mplayer-0.90_pre5
## =media-video/mplayer-0.90_pre5-r1
#
# - Best last rites (removal) practices -
# Include the following info:
# a) reason for masking
# b) bug # for the removal (and yes you should have one)
# c) date of removal (either the date or "in x days")
#
## Example:
##
## # Dev E. Loper <developer@gentoo.org> (2019-07-01)
## # Masked for removal in 30 days.  Doesn't work
## # with new libfoo. Upstream dead, gtk-1, smells
## # funny. (bug #987654)
## app-misc/some-package

#--- END OF EXAMPLES ---

# Mikle Kolyada <zlogene@gentoo.org> (2020-04-12)
# Texlive-2020 mask. Work in progress.
# Do NOT report any bugs untill fully unmasked.
~dev-libs/kpathsea-6.3.2_p20200406
~dev-libs/ptexenc-1.3.8_p20200406

# Matt Turner <mattst88@gentoo.org> (2020-04-12)
# In conjunction with Firefox's sandbox, breaks loading of i965 driver.
# Bug #716574
=x11-libs/libdrm-2.4.101

# Alfredo Tupone <tupone@gentoo.org> (2020-04-10)
# Masked for removal
# Last release 2002
# No reverse dependency
dev-tcltk/tcl-mccp

# Stefan Strogin <steils@gentoo.org> (2020-04-09)
# Masked for testing
>=dev-libs/libressl-3.1.0

# Marek Szuba <marecki@gentoo.org> (2020-04-08)
# All of these block app-eselect/eselect-opencl in order to prevent
# file collisions in /usr/include/CL and on /usr/lib/libOpenCL.so* .
# However, eselect-opencl is still required by x11-drivers/nvidia-drivers
# (even with USE=-uvm, i.e. when it does NOT handle OpenCL) - which by design
# does not appear in virtual/opencl-3.
# Moreover, upgrading to either of the loader ebuilds listed here
# will on systems using FEATURES=collision-protect require prior manual
# clean-up of libOpenCL links created by eselect-opencl so even with the Nvidia
# situation taken care of, we should probably publish an appropriate news item
# before unmasking these.
>=dev-libs/ocl-icd-2.2.12-r3
dev-libs/opencl-icd-loader
dev-util/opencl-headers

# Joonas Niilola <juippis@gentoo.org> (2020-04-05)
# Not maintained in Gentoo, doesn't build for 2 years, has only
# deprecated version present in Gentoo. Has a huge number of open
# bugs. Removal in 30 days. #642952
www-misc/zoneminder

# Michał Górny <mgorny@gentoo.org> (2020-04-04)
# Package that used to provide test data for dev-python/cryptography.
# The modern versions fetch it via SRC_URI and the last version
# needing split vectors has been removed.
# Removal in 30 days.  Bug #716204.
dev-python/cryptography-vectors

# Mikle Kolyada <zlogene@gentoo.org> (2020-04-04)
# py27-only vim plugins. Masked for removal in 30 days.
app-vim/automatictexplugin
app-vim/colorv
app-vim/slimv
app-vim/vimcalc
app-vim/vimpress

# Lars Wendler <polynomial-c@gentoo.org> (2020-04-02)
# Introduced new privsep (chroot) feature. Masked for testing.
>=net-misc/dhcpcd-9.0.0

# Andreas Sturmlechner <asturm@gentoo.org> (2020-04-02)
# Broken and unmaintained upstream, last commit in 2016, bug #715594
# Use sys-block/partitionmanager instead. Masked for removal in 30 days.
sys-block/kvpm

# Michael Orlitzky <mjo@gentoo.org> (2020-04-01)
# Upstream has no idea what they're doing, and every new version
# introduces more security issues. Freshclam itself can now fetch
# most third-party signatures, or app-antivirus/fangfrisch serves
# as a replacement with a sane upstream.
app-antivirus/clamav-unofficial-sigs

# Andreas Sturmlechner <asturm@gentoo.org> (2020-03-30)
# Unmaintained revdep on dev-python/pygtk blocking its removal, py2-only
# Bugs #484270 and #705646, masked for removal in 30 days.
dev-python/basemap

# Michał Górny <mgorny@gentoo.org> (2020-03-30)
# Unmaintained.  Humongous number of vulnerabilities.  Python 2 only.
# Needs really active maintainer.  app-editors/atom is the only revdep.
# Removal in 30 days.  Bug #699866.
dev-util/electron
app-editors/atom
app-eselect/eselect-electron

# Chí-Thanh Christopher Nguyễn <chithanh@gentoo.org> (2020-03-29)
# Old releases gone from upstream, new releases use overly restrictive
# license. For ancient scripts and symbols, use media-fonts/quivira instead.
# For emojis and pictographs, use media-fonts/noto-emoji instead.
# Masked for removal in 30 days, bug #715226
media-fonts/symbola

# Hans de Graaff <graaff@gentoo.org> (2020-03-29)
# Old ruby24-only rails version that is no longer supported upstream
# and has known security issues, including dependencies and slots
# specific to Rails 4.2.
# Migrate to Rails 5.2.
# Masked for removal in 30 days.
dev-ruby/rails:4.2
dev-ruby/railties:4.2
dev-ruby/activerecord:4.2
dev-ruby/actionmailer:4.2
dev-ruby/actionpack:4.2
dev-ruby/actionview:4.2
dev-ruby/activejob:4.2
dev-ruby/activemodel:4.2
dev-ruby/activesupport:4.2
dev-ruby/arel:6.0
dev-ruby/actionpack-xml_parser:0
dev-ruby/jquery-rails:3
dev-ruby/postgres_ext
dev-ruby/protected_attributes
dev-ruby/rails-dom-testing:1
dev-ruby/web-console:0
# Metasploit is a reverse dependency on Rails 4.2 Upstream shows no
# sign of moving to a supported Rails version. Metasploit will most
# likely be moved to an overlay.
dev-ruby/metasploit-concern
dev-ruby/metasploit-credential
dev-ruby/metasploit-model
dev-ruby/metasploit_data_models
net-analyzer/metasploit
dev-ruby/rex-arch
dev-ruby/rex-bin_tools
dev-ruby/rex-core
dev-ruby/rex-encoder
dev-ruby/rex-exploitation
dev-ruby/rex-java
dev-ruby/rex-mime
dev-ruby/rex-nop
dev-ruby/rex-ole
dev-ruby/rex-powershell
dev-ruby/rex-random_identifier
dev-ruby/rex-registry
dev-ruby/rex-rop_builder
dev-ruby/rex-socket
dev-ruby/rex-sslscan
dev-ruby/rex-struct2
dev-ruby/rex-text
dev-ruby/rex-zip

# Michał Górny <mgorny@gentoo.org> (2020-03-29)
# Unmaintained, seriously outdated, vulnerable.  Multiple bugs reported.
# Stuck on Python 3.6.
# Removal in 30 days.  Bug #711702.
app-metrics/buildbot-prometheus
dev-util/buildbot
dev-util/buildbot-console-view
dev-util/buildbot-grid-view
dev-util/buildbot-pkg
dev-util/buildbot-waterfall-view
dev-util/buildbot-worker
dev-util/buildbot-wsgi-dashboards
dev-util/buildbot-www

# Michał Górny <mgorny@gentoo.org> (2020-03-28)
# Unmaintained.  Python 2 only.  Last upstream commit in 2017.
# Potential fork available (bug #705018) but not guaranteed a drop-in
# replacement.
# Removal in 30 days.  Bug #715044.
dev-vcs/bzr
dev-vcs/bzr-rewrite
dev-vcs/bzr-xmloutput
dev-vcs/bzrtools
kde-apps/dolphin-plugins-bazaar

# Joshua Kinard <kumba@gentoo.org> (2020-03-28)
# In Linux ~4.18, IPX (Internetwork Packet eXchange) protocol and
# NCPFS (NetWare Core Protocol Filesystem) support was removed due
# to lack of maintenance.  Due to both being dead from a technology
# standpoint and lack of any upstream activity, mask the below
# packages and remove in 75 days.
# Bug #681820
net-fs/ncpfs
net-misc/ipx-utils

# Matt Turner <mattst88@gentoo.org> (2020-03-28)
# Last release 2008. Last upstream commit 2013. Blocks removal of
# gnome-base/libgnome-keyring
# Bug #713030
mail-client/mail-notification

# Matt Turner <mattst88@gentoo.org> (2020-03-28)
# Homepage gone. Dead project. Blocks removal of gnome-base/libgnome-keyring
# Bug #713028
games-puzzle/skoosh

# Matt Turner <mattst88@gentoo.org> (2020-03-28)
# No consumers. Dead project. Blocks removal of gnome-base/libgnome-keyring
# Bug #713020
dev-dotnet/gnome-keyring-sharp

# Andreas K. Hüttel <dilfridge@gentoo.org> (2020-03-27)
# No consumers. Build problems, bug 668244. Removal in 30 days.
media-libs/openmoiv

# Rafael G. Martins <rafaelmartins@gentoo.org> (2020-03-27)
# Python 2 only. Uses old version of DNSimple API.
# Removal in 30 days.  Bug #712960
net-dns/dnsimple-dyndns

# Georgy Yakovlev <gyakovlev@gentoo.org> (2020-03-27)
# Vulnerable old version of icedtea-web #711392
# new version uses maven + rust
dev-java/icedtea-web

# Michał Górny <mgorny@gentoo.org> (2020-03-27)
# Unmaintained.  Not tested for py3.7.  Last bumped in 2015.
# Bad quality ebuild.
# Removal in 30 days.  Bug #710230.
dev-vcs/pwclient

# Michał Górny <mgorny@gentoo.org> (2020-03-27)
# Unmaintained.  Not tested for py3.7.  Last bumped in 2017.
# Bad quality ebuild.
# Removal in 30 days.  Bug #710226.
dev-util/fatrace

# Michał Górny <mgorny@gentoo.org> (2020-03-27)
# It was integrated into dev-python/fonttools, and has no reverse
# dependencies.
# Removal in 30 days.  Bug #682146.
dev-python/ufoLib

# Michał Górny <mgorny@gentoo.org> (2020-03-27)
# No Python 3 support.  Last touched by maintainer in 2014.
# Removal in 30 days.  Bug #674734.
www-client/weboob

# Andreas K. Hüttel <dilfridge@gentoo.org> (2020-03-26)
# Fail to build with glibc-2.30; no maintainer. Removal in 30days.
# Bugs 691756, 691710
x11-terms/aterm
x11-terms/xvt

# Michał Górny <mgorny@gentoo.org> (2020-03-26)
# dev-python/aiohttp-cors is dead upstream and does not support
# Python 3.7 and newer.
#
# net-misc/gns3-* are effectively unmaintained and stuck with py3.6.
# gns3-server is the only revdep of aiohttp-cors, as well as the only
# blocker for removal of old dev-python/{aiohttp,async_timeout}
# (bug #714840).  Some of those issues might be fixed by a version bump
# that's pending for a long time (bug #688016) but not aiohttp-cors dep.
#
# Removal in 30 days.  Bug #712964.
dev-python/aiohttp-cors
net-misc/gns3-converter
net-misc/gns3-gui
net-misc/gns3-server

# Matt Turner <mattst88@gentoo.org> (2020-03-25)
# No releases in two years. No commits in upstream git in last six months.
# Many open security bugs. Masked for removal in 30 days.
media-video/libav
media-libs/libpostproc

# Michał Górny <mgorny@gentoo.org> (2020-03-25)
# Unmaintained.  Python 2 only.  Last commit in 2013.
# Removal in 30 days.  Bug #714632.
net-irc/redirbot

# Michał Górny <mgorny@gentoo.org> (2020-03-25)
# Unmaintained.  Python 3 support requires a version bump.  Bad quality
# ebuild.
# Removal in 30 days.  Bug #710240.
media-video/syncplay

# Michał Górny <mgorny@gentoo.org> (2020-03-25)
# Unmaintained.  Python 2 only.  Last release in 2009, homepage
# archived.  Last user of dev-python/nevow.
# Removal in 30 days.  Bug #714626.
net-im/pyicq-t
dev-python/nevow

# Andreas Sturmlechner <asturm@gentoo.org> (2020-03-22)
# Unmaintained revdep on dev-python/pygtk blocking its removal, py2-only
# Possible alternative: media-video/simplescreenrecorder
# Bug #710172, masked for removal in 30 days.
media-video/gtk-recordmydesktop

# Andreas Sturmlechner <asturm@gentoo.org> (2020-03-22)
# Unmaintained revdep on dev-python/pygtk blocking its removal, py2-only
# Bug #708164, masked for removal in 30 days.
media-video/pymp

# Andreas Sturmlechner <asturm@gentoo.org> (2020-03-22)
# Unmaintained revdep on dev-python/pygtk blocking its removal, py2-only
# No signs of porting work, bug #708076, masked for removal in 30 days.
x11-misc/xplanetFX

# Jonas Stein <jstein@gentoo.org> (2020-03-21)
# Package masked for removal. Broken SRC_URI,
# upstream is dead.
# Bug #458662
# Removal after 2020-05-01
games-misc/OilWar

# David Seifert <soap@gentoo.org> (2020-03-20)
# Last release in 2014, unsupported, EOL.
# Include the last remaining revdep, which was last updated in 2004.
x11-libs/gtkglarea
media-sound/galan

# Matt Turner <mattst88@gentoo.org> (2020-03-20)
# No reverse deps. GNOME 2 era slot. Removal in 30 days
gnome-base/gnome-desktop:2

# Michał Górny <mgorny@gentoo.org> (2020-03-20)
# Python 2 only.  Upstream is not working on a port.
# Removal in 30 days.  Bug #713568.
sci-physics/espresso++

# Michał Górny <mgorny@gentoo.org> (2020-03-20)
# Deprecated GNOME libraries, replaced by introspection.  Python 2 only.
# No reverse dependencies.
# Removal in 30 days.  Bug #713566.
dev-python/gnome-python-desktop-base
dev-python/gnome-python-extras-base
dev-python/gnome-vfs-python
dev-python/gtkspell-python
dev-python/libbonobo-python
dev-python/libgnome-python
dev-python/libgnomecanvas-python
dev-python/librsvg-python
dev-python/pyorbit

# Michał Górny <mgorny@gentoo.org> (2020-03-20)
# Added in 2009, not bumped since.  Python 2 only, requires dead
# dev-python/pygtk.  Gone from HOMEPAGE.
# Removal in 30 days.  Bug #710166.
sci-electronics/geda-xgsch2pcb

# Michał Górny <mgorny@gentoo.org> (2020-03-19)
# Unmaintained.  Added in 2014 and not touched since.  Python 2 only.
# Removal in 30 days.  Bug #713506.
net-ftp/pybootd

# Hans de Graaff <graaff@gentoo.org> (2020-03-19)
# Masked for security issues, bug #699840
# No reverse dependencies. Use dev-ruby/haml:5 instead.
# Removal in 30 days.
dev-ruby/haml:4

# Michał Górny <mgorny@gentoo.org> (2020-03-18)
# Unmaintained.  Version bump pending.  No Python 3 support upstream.
# Removal in 30 days.  Bug #708268.
app-backup/buttersink

# Michał Górny <mgorny@gentoo.org> (2020-03-17)
# Abandoned.  Python 2 only.  Upstream recommends dev-python/suds
# instead.
# Removal in 30 days.  Bug #713056.
dev-python/soappy

# Marc Schiffbauer <mschiff@gentoo.org> (2020-03-17)
# No py3 support, replaced by its successor automx2
# Removal in 30 days. Bug #708410
net-mail/automx

# Michał Górny <mgorny@gentoo.org> (2020-03-17)
# Unmaintained.  Current Gentoo version is from 2015, last upstream
# release in 2017.  Python 2 only.
# Removal in 30 days.  Bug #712950.
mail-filter/spambayes

# Andreas Sturmlechner <asturm@gentoo.org> (2020-03-14)
# Breaks at least dev-games/simgear right now, bug #709878.
~dev-games/openscenegraph-3.6.5

# Mart Raudsepp <leio@gentoo.org> (2020-03-13)
# Masked for testing due to split of libnma needing migration
# and 1.8.25 being an old development release
>=gnome-extra/nm-applet-1.8.25

# Matt Turner <mattst88@gentoo.org> (2020-03-11)
# Masked for testing due to removal of libnm-glib (bug #665338)
>=net-misc/networkmanager-1.20

# Michał Górny <mgorny@gentoo.org> (2020-03-11)
# Unmaintained Trac plugins.  Last bumped in 2013.  Blockers
# for Python 2 removal.
# Removal in 30 days.  Bug #712120.
www-apps/trac-accountmanager
www-apps/trac-mercurial
www-apps/trac-tags

# Michał Górny <mgorny@gentoo.org> (2020-03-11)
# The following Mercurial-related tools do not declare support
# for Python 3 and have no maintainers.
# Removal in 30 days.  Bug #712114.
dev-vcs/hgsubversion
dev-vcs/hgsvn
dev-vcs/hgview
dev-vcs/mercurial-server
dev-vcs/tortoisehg

# Alexander Tsoy <alexander@tsoy.me> (2020-03-10)
# media-sound/gtklick: last commit in 2014, python 2 only, blocks
# dev-python/pygtk removal.
# Alternatives: media-sound/kmetronome, media-sound/gtick,
# media-sound/klick (cli)
#
# media-libs/pyliblo: last commit in 2015, the only revdep is
# media-sound/gtklick, there is an actively maintained fork named
# pyliblo3.
#
# Removal in 30 days.  Bug #708172.
media-sound/gtklick
media-libs/pyliblo

# Eray Aslan <eras@gentoo.org> (2020-03-09)
# Mask experimental software
=mail-mta/postfix-3.6*

# Miroslav Šulc <fordfrog@gentoo.org> (2020-02-27)
# Depends on dev-java/eclipse-ecj:4.13 which
# depends on >=virtual/{jdk,jre}-11 which is masked
www-servers/tomcat:9

# Michał Górny <mgorny@gentoo.org> (2020-02-26)
# Effectively unmaintained.  Last upstream commit in 2016.  Multiple
# unresolved bugs.  Python 2 only.  Repology (https://repology.org/)
# provides quite a good replacement.
# Removal in 30 days.  Bug #709458.
app-portage/euscan

# Michał Górny <mgorny@gentoo.org> (2020-02-24)
# app-admin/packagekit-base is Python 2 only and behind upstream.
# The Portage backend is unmaintained.  Other packages are its reverse
# dependencies.
#
# It is unclear why app-backup/deja-dup needs it unconditionally.
# However, it has not been bumped since 2016.
#
# Removal in 30 days.  Bug #708398.
app-admin/packagekit
app-admin/packagekit-base
app-admin/packagekit-gtk
app-admin/packagekit-qt
app-backup/deja-dup
gnome-extra/gnome-packagekit

# Mart Raudsepp <leio@gentoo.org> (2020-02-16)
# Fails to automatically launch pipewire for me. Help welcome figuring it out.
net-misc/gnome-remote-desktop

# Stephan Hartmann <stha09@googlemail.com> (2020-02-16)
# Dev channel releases are only for people who
# are developers or want more experimental features
# and accept a more unstable release.
>=www-client/chromium-82

# Stefan Strogin <steils@gentoo.org> (2020-02-12)
# Mask for testing revdeps.
>=dev-games/mygui-3.4.0

# Patrick McLean <chutzpah@gentoo.org> (2020-02-07)
# Mask until sys-libs/libxcrypt[system] is unmasked
>=virtual/libcrypt-2

# Joonas Niilola <juippis@gentoo.org> (2020-02-05)
# Stagnant upstream with latest release from 2016, python2-only, no maintainer
# in Gentoo, no notable ebuild action in years, multiple bugs open. Blocks
# pygtk removal.
# Switch to alternatives such as,
# net-misc/connman, net-misc/dhcpcd, net-misc/netifrc, net-misc/NetworkManager
# and so on. Removal in ~90 days. #708316
net-misc/wicd

# Mart Raudsepp <leio@gentoo.org> (2020-02-03)
# Known breakages that need to be handled first, bug 698922
>=x11-libs/pango-1.43

# Robin H. Johnson <robbat2@gentoo.org> (2020-01-26)
# EAPI conversion caused some regressions, need to redesign old ebuilds.
=dev-lang/lua-5.1.5-r5

# Andrew Ammerlaan <andrewammerlaan@riseup.net> (2020-01-26)
# Proxy Maintainers <proxy-maint@gentoo.org>
# v3.6.3 uses huge amounts of memory: Bug #705682
# v3.6.1 is the latest version without this issue
=dev-libs/libsass-3.6.3

# Georgy Yakovlev <gyakovlev@gentoo.org> (2020-01-26)
# Starting with Firefox 74 Mozilla removes xpi sideloading support
# install from addons.mozilla.org
# passff-host remains in the tree
www-plugins/passff

# Victor Payno <vpayno+gentoo@gmail.com> (2020-01-23)
# Requires slotted lua.
=dev-lang/lua-5.1.5-r103
=dev-lang/lua-5.2.4-r2
=dev-lang/lua-5.3.5-r2

# Michał Górny <mgorny@gentoo.org> (2020-01-16)
# The new version loses Python 2 support but does not introduce any real
# changes.  Let's mask it to reduce the noise, and hopefully try to get
# python2_7 out of default PYTHON_TARGETS first.
>=dev-python/setuptools-45.0.0

# Mikle Kolyada <zlogene@gentoo.org> (2020-01-13)
# Current versioning breaks portage logic and prevents
# us from adding official releases made by google.
# Please DOWNGRADE to dev-python/nototools-0_pre20200113
=dev-python/nototools-20190320

# Ulrich Müller <ulm@gentoo.org> (2020-01-06)
# Snapshots from Git and pretest versions, masked for testing.
=app-editors/emacs-27.0.50_pre*
~app-editors/emacs-27.0.90

# David Seifert <soap@gentoo.org> (2019-12-08)
# Unmaintained, build hangs, tons of other build failures, missing
# dependencies.  Bug #663794, #666916, #666922, #667062, #678068,
# #681678, #684420, #694488. Removal in 30 days.
dev-db/clickhouse

# Lars Wendler <polynomial-c@gentoo.org> (2019-11-14)
# Breaks archives containing relative paths
# when being called with --no-absolute-filenames
# https://bugs.gentoo.org/700020
=app-arch/cpio-2.13

# Michał Górny <mgorny@gentoo.org> (2019-10-20)
# Testing version that breaks multiple plugins.  Let's keep it masked
# until upstream releases fixed versions.
~xfce-base/xfce4-panel-4.15.0
~xfce-base/xfce4-panel-4.15.1
~xfce-base/xfce4-panel-4.15.2

# Lars Wendler <polynomial-c@gentoo.org> (2019-10-16)
# Depends on apache-2.2
dev-libs/OpenSRF

# Miroslav Šulc <fordfrog@gentoo.org> (2019-10-16)
# Depends on >=virtual/{jdk,jre}-11 which is masked
dev-java/ant-eclipse-ecj:4.13
dev-java/eclipse-ecj:4.13

# Stefan Strogin <steils@gentoo.org> (2019-09-27)
# Requires >=dev-lang/lua-5.3 which is masked
>=dev-util/bam-0.5.0

# Matt Turner <mattst88@gentoo.org> (2019-09-01)
# <dev-scheme/guile-2 is package.mask'd
<media-sound/lilypond-2.19

# Matt Turner <mattst88@gentoo.org> (2019-09-01)
# TeXmacs is the only remaining package in tree that requires guile-1.8, which
# is unsupported upstream. A TeXmacs port to Guile-2 has been in progress for a
# few years. Bug #436400
app-office/texmacs
<dev-scheme/guile-2

# Robin H. Johnson <robbat2@gentoo.org> (2019-07-08)
# Needs LOTS of testing, broke boot on my laptop in early attempts, maybe needs
# matching genkernel work?
>=sys-fs/lvm2-2.03

# Daniel Pielmeier <billie@gentoo.org> (2019-07-06)
# Requires >=dev-lang/lua-5.2 which is masked
>=app-admin/conky-1.11.4

# Georgy Yakovlev <gyakovlev@gentoo.org> (2019-04-17)
# The Oracle JDK License has changed for releases starting 2019-04-16
# While it may be fine to use for some usecases it's not comepletely clear
# what is considered "personal use" and if we can legally distribute it.
# License states:
# "You may not:
# make the Programs available in any manner to any third party"
# masking all future versions, removal will follow soon.
# Alternatives: icedtea, icedtea-bin, openjdk, openjdk-bin, openjdk-jre-bin
# Bug: https://bugs.gentoo.org/681828
>dev-java/oracle-jdk-bin-1.8.0.202:1.8
>dev-java/oracle-jre-bin-1.8.0.202:1.8

# Robin H. Johnson <robbat2@gentoo.org> (2019-03-25)
# Requires >=dev-lang/lua-5.3 which is masked
sys-apps/likwid

# Matt Turner <mattst88@gentoo.org> (2019-03-16)
# Previously packaged drivers, now removed from Gentoo.
# Keep this mask in place so users are aware, but can also easily unmask them
# in an overlay if so desired.
x11-drivers/xf86-input-citron
x11-drivers/xf86-video-apm
x11-drivers/xf86-video-ark
x11-drivers/xf86-video-chips
x11-drivers/xf86-video-cirrus
x11-drivers/xf86-video-cyrix
x11-drivers/xf86-video-i128
x11-drivers/xf86-video-i740
x11-drivers/xf86-video-impact
x11-drivers/xf86-video-mach64
x11-drivers/xf86-video-neomagic
x11-drivers/xf86-video-newport
x11-drivers/xf86-video-nsc
x11-drivers/xf86-video-rendition
x11-drivers/xf86-video-s3
x11-drivers/xf86-video-s3virge
x11-drivers/xf86-video-savage
x11-drivers/xf86-video-sis
x11-drivers/xf86-video-sisusb
x11-drivers/xf86-video-sunbw2
x11-drivers/xf86-video-suncg14
x11-drivers/xf86-video-suncg3
x11-drivers/xf86-video-suncg6
x11-drivers/xf86-video-sunffb
x11-drivers/xf86-video-sunleo
x11-drivers/xf86-video-suntcx
x11-drivers/xf86-video-tdfx
x11-drivers/xf86-video-tga
x11-drivers/xf86-video-trident
x11-drivers/xf86-video-tseng
x11-drivers/xf86-video-voodoo

# Miroslav Šulc <fordfrog@gentoo.org> (2019-01-23)
# Depends on >=virtual/{jdk,jre}-11 which is masked
dev-java/ant-eclipse-ecj:4.10
dev-java/eclipse-ecj:4.10

# Thomas Deutschmann <whissi@gentoo.org> (2018-12-10)
# Requires >=dev-lang/lua-5.2 which is masked
>=app-admin/lsyncd-2.2.3

# Andreas Sturmlechner <asturm@gentoo.org> (2018-11-25)
# Masked per security vulnerability CVE-2018-14345, bug #661510
# Keeping it masked while users have unsolved issues with >0.15.0.
<x11-misc/sddm-0.18.0

# Ian Stakenvicius <axs@gentoo.org> (2018-11-07)
# on behalf of Mozilla Project <mozilla@gentoo.org>
# Mask old/vuln thunderbird for removal by 2019,
# see security bug 670102
<mail-client/thunderbird-60.0
<mail-client/thunderbird-bin-60.0

# Thomas Deutschmann <whissi@gentoo.org> (2018-10-12)
# EOL and has known vulnerabilities. Please move to
# Firefox 60 or newer if you can.
<www-client/firefox-60
<www-client/firefox-bin-60

# Andreas Sturmlechner <asturm@gentoo.org> (2018-10-07)
# Masked for more testing especially of reverse-deps.
>=dev-games/ogre-1.11.2

# Thomas Deutschmann <whissi@gentoo.org> (2018-10-06)
# Outdated and vulnerable snapshot; libav-12.3 is the better
# version for now
=media-video/libav-13_pre20171219

# Andreas K. Hüttel <dilfridge@gentoo.org> (2018-09-11)
# Mask transition ebuilds that were needed only for <glibc-2.26
# We will keep them in the tree as long as we have masked
# <glibc-2.26.
~net-libs/libnsl-0
~net-libs/rpcsvc-proto-0

# James Le Cuirot <chewi@gentoo.org> (2017-12-17)
# Java 9+ is not yet fully supported on Gentoo. Packages cannot depend
# on it so these virtuals are not yet required. If you wish to use
# Java 9+ then install oracle-(jdk|jre)-bin or openjdk(-bin) directly.
virtual/jdk:11
virtual/jre:11

# Andreas K. Hüttel <dilfridge@gentoo.org> (2017-10-18)
# sys-devel/automake versions 1.4, 1.5, 1.6, 1.7, 1.8
# have known security vulnerabilities, are broken with
# recent Perl (>=5.26.0), and are not used by anything in
# the Gentoo repository. Please uninstall.
sys-devel/automake:1.4
sys-devel/automake:1.5
sys-devel/automake:1.6
sys-devel/automake:1.7
sys-devel/automake:1.8
sys-devel/automake:1.9
sys-devel/automake:1.10

# Nicolas Bock <nicolasbock@gentoo.org> (2017-10-31)
# There are multiple unresolved upstream issues with >=jabref-bin-4.0 (#636036).
# If you still would like to use this version, please report any issues to
# upstream.
>=app-text/jabref-bin-4.0

# Michał Górny <mgorny@gentoo.org> (2017-05-22)
# for Maciej S. Szmigiero <mail@maciej.szmigiero.name>
# Any version above 5.100.138 breaks b43 driver in various ways.
# Also, b43 wiki page says to use 5.100.138. Bug #541080.
>=sys-firmware/b43-firmware-6.30.163.46

# Michał Górny <mgorny@gentoo.org>, Andreas K. Hüttel <dilfridge@gentoo.org>,
# Matthias Maier <tamiko@gentoo.org> (2017-05-21 and later updates)
# These old versions of toolchain packages (binutils, gcc, glibc) are no
# longer officially supported and are not suitable for general use. Using
# these packages can result in build failures (and possible breakage) for
# many packages, and may leave your system vulnerable to known security
# exploits.
# If you still use one of these old toolchain packages, please upgrade (and
# switch the compiler / the binutils) ASAP. If you need them for a specific
# (isolated) use case, feel free to unmask them on your system.
<sys-devel/gcc-5.4
<sys-libs/glibc-2.29
<sys-devel/binutils-2.32-r1
<sys-devel/binutils-hppa64-2.32-r1
<sys-libs/binutils-libs-2.32-r1

# Michał Górny <mgorny@gentoo.org> (2017-05-20)
# Old versions of CUDA and their reverse dependencies. They do not
# support GCC 5+, and are really old.
# (updated 2017-12-27 with cuda < 8 because of gcc < 5 mask)
<dev-python/pycuda-2016
<dev-util/nvidia-cuda-sdk-8
<dev-util/nvidia-cuda-toolkit-8
net-wireless/cpyrit-cuda

# Michael Orlitzky <mjo@gentoo.org> (2017-01-07)
# This package has some dangerous quality and security issues, but
# people may still find it useful. It is masked to prevent accidental
# use. See bugs 603346 and 604998 for more information.
app-admin/amazon-ec2-init

# Robin H. Johnson <robbat2@gentoo.org> (2017-01-05)
# Masking for testing
=app-emulation/ganeti-2.16*
=app-emulation/ganeti-2.17*

# Michał Górny <mgorny@gentoo.org> (2016-11-17)
# New version masked for testing. It supports source-window buffer size
# over 2G but it 'currently performs 3-5% slower and has 1-2% worse
# compression'.
>=dev-util/xdelta-3.1.0

# Andreas K. Hüttel <dilfridge@gentoo.org> (2016-04-03)
# Can exhaust all available memory depending on task
# but is made available for experts who heed this warning
# as newer versions produce different output. Contact
# the proxied maintainer Matthew Brewer <tomboy64@sina.cn>
# for questions.
<=media-gfx/slic3r-1.1.9999

# Robin H. Johnson <robbat2@gentoo.org> (2014-08-04)
# Masked for testing, presently fails upstream testsuite:
# FAIL:07:02:35 (00:00:00) db_dump/db_load(./TESTDIR.3/recd001.db:child killed: kill signal): expected 0, got 1
# FAIL:07:02:35 (00:00:00) Dump/load of ./TESTDIR.3/recd001.db failed.
# FAIL:07:02:35 (00:00:00) db_verify_preop: expected 0, got 1
# Lars Wendler <polynomial-c@gentoo.org> (2019-01-25)
# Also masked because of mostly incompatible license (AGPL-3)
=sys-libs/db-6.1*
=sys-libs/db-6.2*
=sys-libs/db-18.1*

# Mikle Kolyada <zlogene@gentoo.org> (2014-06-27)
# Masked for proper testing. (Major updates in the code).
~dev-perl/PortageXS-0.2.12

# Matti Bickel <mabi@gentoo.org> (2014-04-22)
# Masked slotted lua for testing
# William Hubbs <williamh@gentoo.org> (2016-08-07)
# Taking this mask since Mabi is retired
# Rafael Martins <rafaelmartins@gentoo.org> (2016-12-04)
# Adding Lua 5.3 to mask
app-eselect/eselect-lua
=dev-lang/lua-5.1.5-r100
=dev-lang/lua-5.1.5-r101
=dev-lang/lua-5.1.5-r102
=dev-lang/lua-5.2.3
=dev-lang/lua-5.2.3-r1
=dev-lang/lua-5.2.3-r2
=dev-lang/lua-5.2.3-r3
=dev-lang/lua-5.2.4
=dev-lang/lua-5.2.4-r1
=dev-lang/lua-5.3.3
=dev-lang/lua-5.3.3-r1
=dev-lang/lua-5.3.3-r2
=dev-lang/lua-5.3.5
=dev-lang/lua-5.3.5-r1

# Samuli Suominen <ssuominen@gentoo.org> (2012-03-06)
# Masked for testing since this is known to break nearly
# every reverse dependency wrt bug 407091
>=dev-lang/lua-5.2.0

# Mike Gilbert <floppym@gentoo.org> (2014-03-04)
# Dev channel releases are only for people who are developers or want more
# experimental features and accept a more unstable release.
www-plugins/chrome-binary-plugins:unstable

# Diego E. Pettenò <flameeyes@gentoo.org> (2009-01-03)
# These packages are not supposed to be merged directly, instead
# please use sys-devel/crossdev to install them.
dev-libs/cygwin
dev-util/mingw64-runtime
sys-libs/newlib
dev-embedded/avr-libc